import React from 'react';
import { Nav } from 'react-bootstrap';
import $ from 'jquery';

var styles = {"icon":"_2Vept","header":"_1aDvk","navbar-light":"_2X03U","navbarBrand":"_1S-ru","navLink":"_15o15"};

var TopNav = function TopNav(props) {
  $(function () {
    if (props.links !== undefined) {
      console.log('props.links.items.length: ' + props.links.items.length);
      $('#navbarLinksDiv').empty();
      for (var i = 0; i < props.links.items.length; i++) {
        var newDiv = $('<a href="' + props.links.items[i].href + '" target="_blank" rel="noopener noreferrer"><img src=' + props.links.items[i].src + ' class=' + styles.icon + ' alt="' + props.links.items[i].alt + '" /></a>');
        $('#navbarLinksDiv').append(newDiv).append('&nbsp;');
      }
    }
  });
  var navbarClassName = 'navbar navbar-expand-lg navbar-light bg-light ' + styles.header;
  return /*#__PURE__*/React.createElement(Nav, {
    className: navbarClassName
  }, /*#__PURE__*/React.createElement("div", {
    className: "container-fluid"
  }, /*#__PURE__*/React.createElement("a", {
    className: styles.navbarBrand,
    href: "#main"
  }, props.navTitle), /*#__PURE__*/React.createElement("button", {
    className: "navbar-toggler",
    type: "button",
    "data-bs-toggle": "collapse",
    "data-bs-target": "#navbarSupportedContent",
    "aria-controls": "navbarSupportedContent",
    "aria-expanded": "false",
    "aria-label": "Toggle navigation"
  }, /*#__PURE__*/React.createElement("span", {
    className: "navbar-toggler-icon"
  })), /*#__PURE__*/React.createElement("div", {
    className: "collapse navbar-collapse",
    id: "navbarSupportedContent"
  }, /*#__PURE__*/React.createElement("ul", {
    className: "navbar-nav me-auto mb-2 mb-lg-0"
  }, props.children), /*#__PURE__*/React.createElement("div", {
    id: "navbarLinksDiv"
  }))));
};
var TopNavItem = function TopNavItem(props) {
  var itemClassName = styles.navLink;
  return /*#__PURE__*/React.createElement("li", {
    className: "nav-item"
  }, /*#__PURE__*/React.createElement("a", {
    className: itemClassName,
    href: props.href
  }, props.children));
};

export { TopNav, TopNavItem };
//# sourceMappingURL=index.modern.js.map
